xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
xmlsignature::SignatureValidator Class Reference

Validator for signatures based on a Credential. More...

`#include <xmltooling/signature/SignatureValidator.h>`

Inheritance diagram for xmlsignature::SignatureValidator:

## Public Member Functions
| SignatureValidator (XSECCryptoKey *key=0)
| Constructor using a key. More...
| SignatureValidator (const xmltooling::Credential *credential)
| Constructor using a Credential. More...
void | validate (const xmltooling::XMLObject *xmlObject) const
| Checks to see if an XMLObject is valid. More...
virtual void | validate (const Signature *signature) const
| Type-safe validator. More...
void | setKey (XSECCryptoKey *key)
| Replace the current key, if any, with a new one. More...
void | setCredential (const xmltooling::Credential *credential)
| Replace the current Credential, if any, with a new one. More...

## Protected Attributes
XSECCryptoKey * | m_key
| Verification key. More...
const xmltooling::Credential * | m_credential
| Verification credential. More...

## Detailed Description

Validator for signatures based on a Credential.

## Constructor & Destructor Documentation

xmlsignature::SignatureValidator::SignatureValidator | ( | XSECCryptoKey * | key = `0` | ) |

Constructor using a key.

Parameters

  key | the key to use

xmlsignature::SignatureValidator::SignatureValidator | ( | const xmltooling::Credential * | credential | ) |

Constructor using a Credential.

Parameters

  credential | the credential to use

## Member Function Documentation

void xmlsignature::SignatureValidator::setCredential | ( | const xmltooling::Credential * | credential | ) |

Replace the current Credential, if any, with a new one.

Parameters

  credential | the Credential to attach

void xmlsignature::SignatureValidator::setKey | ( | XSECCryptoKey * | key | ) |

Replace the current key, if any, with a new one.

Parameters

  key | the key to attach

void xmlsignature::SignatureValidator::validate | ( | const xmltooling::XMLObject * | xmlObject | ) | const
| virtual

Checks to see if an XMLObject is valid.

Parameters

  xmlObject | the XMLObject to validate

Exceptions

  ValidationException | thrown if the element is not valid

Implements xmltooling::Validator.

virtual void xmlsignature::SignatureValidator::validate | ( | const Signature * | signature | ) | const
| virtual

Type-safe validator.

Parameters

  signature | object to validate

## Member Data Documentation

const xmltooling::Credential* xmlsignature::SignatureValidator::m_credential
| protected

Verification credential.

XSECCryptoKey* xmlsignature::SignatureValidator::m_key
| protected

Verification key.

The documentation for this class was generated from the following file:

- xmltooling/signature/SignatureValidator.h